Subject: Re: [MOBILE-IP] Differences between the two MIPv4 handoff approac hes

From: Eunsoo Shim <[email-masked]>
Date: Tue, 21 Nov 2000 13:21:07 -0500

RE: [MOBILE-IP] Differences between the two MIPv4 handoff approachesPlease excuse my joining this discussion so late.
I'd like to know what could be an example of existing wireless network capable of discovery of the new FA's IP address by the old FA from the L2 handoff as suggested in the Proactive Handoff proposal.
Or I'd appreciate any idea of how it could be done in existing wireless networks or future wireless networks.
If this information is available somewhere, would you please give me the pointer to it?
Thanks.

Eunsoo
  ----- Original Message ----- 
  From: Hesham Soliman (EPA) 
  To: [email-masked] 
  Sent: Thursday, October 05, 2000 4:21 PM
  Subject: Re: [MOBILE-IP] Differences between the two MIPv4 handoff approac hes

  Pete, 

    Registering after 
    the L2 handoff removes this dependency.  Also it eliminates the 
    configuration headaches that are implicit in the Fast Handoffs 
    scheme: how does the current FA get the advertisement from the 
    next FA, how does it propagate the registration over multiple 
    routing hops, and how does the new FA associate the registration 
    with the soon-to-be-established link-layer connection? 

    I'm surprised you're bringing this up again. Please refer to our 
    previous discussion in the archive and the draft. 

    While we're repeating questions : 
    How does a proactive FA get the "next" FA's IP address ?

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 22 Nov 2000 09:15:18 +1100

> > Pat and Karim,
> >
> > Would you mind giving me a few examples of those wireless networks
> described
> > in the below?
>
> CDMA and 802.11 are two examples where a mobile is instructed that it
> being
> handed off. The mobile does not have any "spare" time to send packets to
> assist in the handoff process.
>
        => To be fair we should also say that in 802.11 the FA wouldn't
        know either since it is not colocated with the AP. Or at least
        that is the case in all WLAN configurations I've seen.

        Regarding CDMA, there is more to it depending on which
        CDMA system.
        I agree that there is no time after the handoff command but there
        is certainly time right before that.
        There is a lot of messaging that goes on during the handoff
procedure
        and before the handoff command. At least this is the case in 2 CDMA
        systems that use MIP.

        Hesham

> > I'd just like to know about it.
> > Thanks.
> >
> > Eunsoo
> >
> > From: "Karim El-Malki (ERA)" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Friday, October 06, 2000 12:02 PM
> > Subject: Re: [MOBILE-IP] Differences between the two MIPv4 handoff
> approac
> > hes
> >
> >
> > > >
> > > > I believe that Pete's common on real time has to do with the
> > > > current state of
> > > > some cellular networks. In some of these technologies, the
> > > > Mobile gets a
> > > > message, informing it to do a handoff. There is no extra time
> > > > for the mobile
> > > > to register. Tom Hiller stated this on the v4 handoff design
> > > > team conference
> > > > call, but I believe you weren't on that particular call.
> > >
> > > I am aware of this and am not disagreeing.
> > > My point is that the registration can be done before the Mobile
> > > gets the L2 message informing it to handoff. Thus we require
> > > interworking between L2 and L3 on the network-side (which is
> > > needed anyway) such that L3 registration can occur at the same
> > > time as L2 signalling and such that the L2 handoff message is
> > > sent after the L3 registration. As I wrote in my reply to Pete,
> > > this is what is summed up in point 2) of the list of differences
> > > sent out.
> > >
> > > Regards,
> > > Karim
> > >

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 29 Nov 2000 02:43:42 +1100

> > > sorry, but I don't buy this one. The fact that *some* existing WLAN
> APs
> > > are
> > > not systems is really an implementation issue.
> > >
> >         => "some" ? The "majority" is a better word I think.
> >         I agree it is a configuration issue but it seems that
> >         this configuraton is very popular.
>
> Find, majority. However, how can a Foreign Agent perform ANY fast handoff
> scheme if it has NO idea that a mobile is about, or has, moved? The best
> you
> can do is RFC 2002. So, for non colocated APs, RFC 2002 is what you get.
> If
> you combine the functions, then you can provide quick handoff (again, I
> use
> quick here because if I say fast, it sounds like I am talking about your
> proposal, but I really mean fast).
>
        => You lost me here, if you combine which funtions ?
        RFC 2002 with some optimisation (anticipation and bicasting) is
        enough, I agree with that. I also think it's enough for the other
        case where the FA is colocated with the AP.
        I still haven't heard a concrete argument on why it is not enough.

> I think that majority will become some when vendors have to compete with
> products that DO provide faster handoffs.
>
> >
> > > Cisco's 802.11 AP includes
> > > Mobile IP Foreign Agent functionality. No link layer changes are
> required.
> > >
> >         => Ok ! So to be accurate we can say that in the case of WLAN
> >         the proactive approach will only work if the AP and the FA are
> > colocated.
> >         This is exactly what I'm trying to explain, the proactive
> approach
> > only
> >         works for certain architectures. This is a new limitation to MIP
> > that we
> >         didn't have before. So for the cases where the FA is not aware
> of
> > the
> >         L2 mobility (eg. most WLANs and 3GPP) , this approach doesn't
> work.
> >         In 3GPP the FA is not aware of the degradation in the radio
> link,
> > and does
> >         not get that L2 trigger. Therefore I don't think that this
> approach
> > will
> >         work their either.
> >
>
> In 3GPP2 it DOES via a protocol used between the BSC/PCF and the FA. It
> doesn't receive the triggers directly, but rather through a signalling
> protocol.
>
        => I know that and I wasn't referring to 3GPP2.

> Does 3GPP NOT have an equivalent protocol? btw, one could also
> design such a protocol between the AP and the FA, if need be.
>
        => I'm talking about an existing system. I'm assuming we want
        the fast handoffs (not Fast Handoffs) to work with existing systems
?

> Of course, as far as I know, 3GPP has no intentions of using Mobile IP :(
>
        => That's not correct, MIP is supported in the standard. Rel 99 to
be exact.

        Hesham